Download it now!
Bug 57358 - VIEWING: Rotated Text in Metafile rendered wrong
Summary: VIEWING: Rotated Text in Metafile rendered wrong
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.3.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-21 08:41 UTC by christian.rufener
Modified: 2015-04-01 16:10 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Excel file containg two charts with rotated axis/legends (43.00 KB, application/vnd.ms-excel)
2012-11-21 08:41 UTC, christian.rufener
Details
LO Writer Document containing the ill-drawn legends (13.37 KB, application/vnd.oasis.opendocument.text)
2013-01-07 10:58 UTC, christian.rufener
Details

Note You need to log in before you can comment on or make changes to this bug.
Description christian.rufener 2012-11-21 08:41:21 UTC
Created attachment 70351 [details]
Excel file containg two charts with rotated axis/legends

Problem description: 
When pasting a chart from Excel containing rotated axis titles or legends, the rendering of the axis title or legends is wrong and not readable. To reproduce the problem use the attached Excel sheet: copy the chart to the clipboard and paste it into Writer. 
Please note that the behavior is the same on Calc.
My assumption is that maybe EMR_MODIFYWORLDTRANSFORM might be handled incorrectly.

Current behavior:
Legend/Axis display not readable (not rotated?)

Expected behavior:
Display of the rotated text

Platform (if different from the browser): 
Windows 7 (x86)
Comment 1 A (Andy) 2012-12-24 20:22:50 UTC
not reproducible with LO 3.6.4.3. (Win7 Home, 64bit)
Comment 2 christian.rufener 2013-01-07 10:57:01 UTC
Sorry, but the problem persists
- Open the Excel sheet in Excel
- Take the first chart and copy it to the clipboard
- Paste it in LO Writer
- The rotated text (X and Y Axes) are wrong

I will post the resulting document.

C
Comment 3 christian.rufener 2013-01-07 10:58:16 UTC
Created attachment 72617 [details]
LO Writer Document containing the ill-drawn legends
Comment 4 A (Andy) 2013-02-23 16:13:54 UTC
I have tested it once more and for me it is also not reproducible with LO 4.0.0.3 (Win7 Home, 64bit).

Can anybody else confirm this issue?
Comment 5 bfoman (inactive) 2013-06-12 10:10:44 UTC
Confirmed with:
LO 4.1.0.0.beta2
Build ID: 33224f4f11a05cfad2249e812fcc2975fbb61f6
Windows 7 Professional SP1 64 bit

Excel 2010 to Writer - charts look like in attachment 72617 [details], also background color is changed to black, making then unreadable after pasting.
Comment 6 Joel Madero 2013-06-26 17:08:05 UTC
Due to last comment - marking as NEW
Comment 7 QA Administrators 2015-03-16 23:36:22 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

    Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.1 or later)
    https://www.libreoffice.org/download/

    If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
  
  If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

    Update the version field
    Reply via email (please reply directly on the bug tracker)
    Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-03-16
Comment 8 Buovjaga 2015-04-01 16:10:48 UTC
Now it is pasted correctly from Excel. WFM.

Win 8 32-bit
MSO 2013
LibreOffice Version: 4.5.0.0.alpha0+
Build ID: 4dde5a623d563f9007dd3539b835489a27128d65
TinderBox: Win-x86@42, Branch:master, Time: 2015-04-01_11:40:51
Locale: fi_FI